texlive[52596] "quote" file arguments in shell script

commits+karl at tug.org commits+karl at tug.org
Fri Nov 1 19:11:32 CET 2019


Revision: 52596
          http://tug.org/svn/texlive?view=revision&revision=52596
Author:   karl
Date:     2019-11-01 19:11:31 +0100 (Fri, 01 Nov 2019)
Log Message:
-----------
"quote" file arguments in shell script

Modified Paths:
--------------
    trunk/Build/source/texk/makeindexk/ChangeLog
    trunk/Build/source/texk/makeindexk/mkindex

Property Changed:
----------------
    trunk/Build/source/texk/makeindexk/mkindex

Modified: trunk/Build/source/texk/makeindexk/ChangeLog
===================================================================
--- trunk/Build/source/texk/makeindexk/ChangeLog	2019-11-01 01:04:11 UTC (rev 52595)
+++ trunk/Build/source/texk/makeindexk/ChangeLog	2019-11-01 18:11:31 UTC (rev 52596)
@@ -1,3 +1,9 @@
+2019-11-01  Karl Berry  <karl at tug.org>
+
+	* mkindex: "quote" arguments, doc tweaks.
+	(Really testing update of arch-specific packages with versioned
+	containers with meaningless changes.)
+
 2019-03-21  Karl Berry  <karl at tug.org>
 
 	* mkind.h (ARGUMENT_MAX): increase to 10240 from 1024,

Modified: trunk/Build/source/texk/makeindexk/mkindex
===================================================================
--- trunk/Build/source/texk/makeindexk/mkindex	2019-11-01 01:04:11 UTC (rev 52595)
+++ trunk/Build/source/texk/makeindexk/mkindex	2019-11-01 18:11:31 UTC (rev 52596)
@@ -1,4 +1,6 @@
 #!/bin/sh
+# $Id$
+# Public domain. Originally written by Thomas Esser around 2001..
 
 test -f /bin/sh5 && test -z "$RUNNING_SH5" \
   && { UNAMES=`uname -s`; test "x$UNAMES" = xULTRIX; } 2>/dev/null \
@@ -13,7 +15,7 @@
 progname=`basename $0`
 case $# in
   0) 
-    echo "usage: `basename $0` file[.idx] ..." 1>&2
+    echo "Usage: `basename $0` file[.idx|.glo] ..." 1>&2
     exit 1
     ;;
 esac
@@ -27,13 +29,13 @@
 # loop over all files
 for i
 do
-  destdir=`echo $i | sed 's/^[^\/]*$/./; s/\/[^\/]*$//'`
-  test -d "$destdir"||continue
-  cd "$destdir"
-  FILENAME=`basename $i .idx`
+  destdir=`echo "$i" | sed 's/^[^\/]*$/./; s/\/[^\/]*$//'`
+  test -d "$destdir" || continue
+  cd "$destdir" || exit 1
+  FILENAME=`basename "$i" .idx`
   test -f "$FILENAME".idx \
-    && makeindex -s $gind "$FILENAME"
+    && makeindex -s "$gind" "$FILENAME"
   test -f "$FILENAME".glo \
-    && makeindex -s $gglo -o "$FILENAME".gls "$FILENAME".glo
-  cd "$dir"
+    && makeindex -s "$gglo" -o "$FILENAME".gls "$FILENAME".glo
+  cd "$dir" || exit 1
 done


Property changes on: trunk/Build/source/texk/makeindexk/mkindex
___________________________________________________________________
Added: svn:keywords
## -0,0 +1 ##
+Date Author Id Revision
\ No newline at end of property


More information about the tex-live-commits mailing list